io.netty.handler.codec.mqtt

## Class MqttConnectMessage

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessage
  - - io.netty.handler.codec.mqtt.MqttConnectMessage

    public final class MqttConnectMessage
    extends MqttMessage

See MQTTV3.1/connect

### Field Summary

### Fields inherited from class io.netty.handler.codec.mqtt.MqttMessage

`DISCONNECT, PINGREQ, PINGRESP`

### Constructor Summary

Constructors
Constructor and Description
`MqttConnectMessage(MqttFixedHeader mqttFixedHeader, MqttConnectVariableHeader variableHeader, MqttConnectPayload payload)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttConnectPayload` `payload()`
`MqttConnectVariableHeader` `variableHeader()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessage

`decoderResult, fixedHeader, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttConnectMessage

    public MqttConnectMessage(MqttFixedHeader mqttFixedHeader,
                              MqttConnectVariableHeader variableHeader,
                              MqttConnectPayload payload)

### Method Detail

#### variableHeader

    public MqttConnectVariableHeader variableHeader()

Overrides:
  `variableHeader` in class `MqttMessage`

#### payload

    public MqttConnectPayload payload()

Overrides:
  `payload` in class `MqttMessage`